Intermittent browser_bug431826.js | application timed out after 330 seconds with no output on debug Win2K3 VMs

RESOLVED WORKSFORME

Status

()

Core
General
RESOLVED WORKSFORME
9 years ago
5 years ago

People

(Reporter: mossop, Unassigned)

Tracking

({intermittent-failure})

Trunk
mozilla1.9.3a1
x86
Windows Server 2003
intermittent-failure
Points:
---
Dependency tree / graph
Bug Flags:
blocking1.9.1 -
in-testsuite -

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Reporter)

Description

9 years ago
The tests for bug 112564, bug 215405, bug 463387 and bug 431826 have been intermittently failing since 4th February. It seems to fail one or two times a day on windows, and very occasionally on linux. No idea yet what the fault is or what it might impact but we should check this isn't a problem for 1.9.1

First failure is:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1233765108.1233770911.11281.gz

Which was building:

http://hg.mozilla.org/mozilla-central/rev/5a924dc19720

Errors:

*** 30 ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/chrome/docshell/test/chrome/test_bug112564.xul | Test timed out.
*** 50 ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/chrome/docshell/test/chrome/test_bug215405.xul | Test timed out.
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the front notifications listener - Got onLocationChange, expected onSecurityChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onLocationChange, expected onSecurityChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got an expected notification for the front notifications listener
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the front notifications listener - Got onStateChange, expected undefined
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onStateChange, expected onLocationChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onLocationChange, expected onSecurityChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onLocationChange, expected onStateChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got an expected notification for the all notifications listener
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onStateChange, expected undefined
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of notifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of frontnotifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/certerror/test/browser_bug431826.js | Broken page should go to about:certerror, not about:neterror
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/certerror/test/browser_bug431826.js | Expert content div should exist
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/certerror/test/browser_bug431826.js | Timed out
Flags: blocking1.9.1?
(Reporter)

Comment 1

9 years ago
This is a 2 day range leading up to that first failure:

http://hg.mozilla.org/mozilla-central/pushloghtml?startdate=2009-02-02+06%3A20&enddate=2009-02-04+06%3A30
That first test timeout is particularly weird...  That more or less means that we're either actually not loading pages or not firing some of the events we should be firing.
(Reporter)

Comment 3

9 years ago
Yes the browser_alltabslistener failures basically means that we're getting a different set of events on nsIWebProgressListener than normal.
Hmm.  The thing is, nothing in that checkin log really looks relevant.  I went back another two days, and there's a tracemonkey merge, but that's stretching it.
This has been perma orange on linux since this morning :(
(Reporter)

Comment 6

9 years ago
(In reply to comment #5)
> This has been perma orange on linux since this morning :(

Yeah that is pretty strange. I pushed a leak fix to ssl stuff earlier but I can't imagine how it could have affected this at all.
Whiteboard: [random-orange]
Do we know that the tests are actually testing the right things? Not sure what to do with this, minus for now, please renom if you can make a clear case as to why it should block our final release.
Flags: blocking1.9.1? → blocking1.9.1-
The failures in browser_bug431826.js may be unrelated to the others - they are timer based, and brittle.  Bug 400731 tracks a similar concern with the phishing/malware tests.  I don't like it very much at all, but it's probably not the same failure as the others listed here (the functionality tested by browser_bug431826.js still works, so it's not a legitimate regression, in any event)
Flags: blocking1.9.1- → blocking1.9.1?
Flags: blocking1.9.1? → blocking1.9.1-
(Reporter)

Comment 9

9 years ago
I've added some logging to browser_alltabslistener.js to try to get a good idea of what progress notifications are being sent out in the failure cases in http://hg.mozilla.org/mozilla-central/rev/85d5f93a3abb
(Reporter)

Comment 10

9 years ago
Created attachment 363425 [details]
test log

Attached is an extract from the logging code I put in. It seems to indicate that the connection to https://example.com is being treated as insecure. Additionally there is a rogue progress event in test 4 on the foreground tab that doesn't normally occur.
Attachment #363425 - Attachment mime type: application/text → text/plain
Dave, can you create an NSPR log of nsSecureBrowserUI:5 when the problem appears?
(Reporter)

Comment 12

9 years ago
(In reply to comment #11)
> Dave, can you create an NSPR log of nsSecureBrowserUI:5 when the problem
> appears?

Currently I haven't been able to reproduce this locally, I can only see this randomly on the windows tinderbox. Maybe there is a way to enable this there?
If you can set env vars when the build there is starting, for sure.  Otherwise, you could convert all those logging calls to printfs, I guess, and see what happens...
It wouldn't be hard to hack testing/mochitest/runtests.py.in to add the environment variables, but NSPR_LOG_FILE doesn't recognize file handle numbers, as I recall, which complicates matters.

I've reproduced this once or twice on OS X, I'll see if I can make it work there by chance...
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.1/1236604468.1236607085.30864.gz
OS X 10.5.2 mozilla-1.9.1 unit test on 2009/03/09 06:14:28
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.1/1236604468.1236610923.11588.gz
WINNT 5.2 mozilla-1.9.1 unit test on 2009/03/09 06:14:28
Flags: wanted1.9.1?
Summary: Intermittent test failures relating to ssl notifications → Intermittent test failures relating to ssl notifications : browser_alltabslistener.js, browser_bug431826.js, browser_privatebrowsing_transition.js

Updated

9 years ago
Blocks: 438871
Summary: Intermittent test failures relating to ssl notifications : browser_alltabslistener.js, browser_bug431826.js, browser_privatebrowsing_transition.js → Intermittent test failures relating to ssl notifications: browser_alltabslistener.js, browser_bug431826.js, browser_privatebrowsing_transition.js
Whiteboard: [random-orange] → [orange]
(In reply to comment #15)

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.1/1236604468.1236612970.15154.gz
Linux mozilla-1.9.1 unit test on 2009/03/09 06:14:28
SeaMonkey seems to fail on browser_bug463504.js:
{
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1236605184.1236616992.25880.gz
Linux comm-central dep unit test on 2009/03/09 06:26:24
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1236607282.1236615531.21175.gz
MacOSX 10.4 comm-central dep unit test on 2009/03/09 07:01:22
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1236609668.1236615871.22379.gz
Win2k3 comm-central dep unit test on 2009/03/09 07:41:08

TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/suite/common/tests/browser/browser_bug463504.js | Broken page should go to about:certerror, not about:neterror
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/suite/common/tests/browser/browser_bug463504.js | Expert content div should exist
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/suite/common/tests/browser/browser_bug463504.js | Timed out
}
Summary: Intermittent test failures relating to ssl notifications: browser_alltabslistener.js, browser_bug431826.js, browser_privatebrowsing_transition.js → Intermittent test failures relating to ssl notifications: browser_alltabslistener.js, browser_bug431826.js, browser_privatebrowsing_transition.js; browser_bug463504.js
Disregard comment 15 to comment 17: (should be) fixed by bug 472706 comment 20 check-in.
Sorry.
Summary: Intermittent test failures relating to ssl notifications: browser_alltabslistener.js, browser_bug431826.js, browser_privatebrowsing_transition.js; browser_bug463504.js → Intermittent test failures relating to ssl notifications: browser_alltabslistener.js, browser_bug431826.js
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256188526.1256190395.22963.gz
OS X 10.5.2 mozilla-central test opt everythingelse on 2009/10/21 22:15:26
(Reporter)

Comment 20

8 years ago
I believe that this will be fixed by bug 538008
Depends on: 538008
(Reporter)

Comment 21

8 years ago
I can't look back at the full logs for this intermittent failure but I strongly believe that this will have been fixed by bug 538008. The errors listed match those that occur when ssltunnel fails to bind to the socket, in particular the errors noting that about:neterror was loaded instead on about:certerror means that a network error page was loaded instead of a certificate error page. With ssltunnel not working attempting to load any of the test ssl site results in a network error page explaining that the proxy is unreachable. I'm closing this as fixed on that basis.
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → FIXED
Flags: wanted1.9.1? → in-testsuite-
Whiteboard: [orange] → [assumed fixed by bug 538008] [orange]
Target Milestone: --- → mozilla1.9.3a1
Comment hidden (Treeherder Robot)

Updated

8 years ago
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Whiteboard: [assumed fixed by bug 538008] [orange] → [orange]
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
All of today's failures started with http://hg.mozilla.org/mozilla-central/rev/0553604fe265
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(In reply to comment #26)
> All of today's failures started with
> http://hg.mozilla.org/mozilla-central/rev/0553604fe265

I've backed this out which apparently silenced the failures.
Status: REOPENED → RESOLVED
Last Resolved: 8 years ago8 years ago
Resolution: --- → FIXED

Comment 34

7 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1279794461.1279801896.26055.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/07/22 03:27:41
Status: RESOLVED → REOPENED
Resolution: FIXED → ---

Comment 35

7 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1280259690.1280266694.1475.gz&fulltext=1
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/07/27 12:41:30
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281424569.1281427336.5331.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/08/10 00:16:09

s: talos-r3-leopard-040
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,I
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,D
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,F
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,G
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,D
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,C
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the front notifications listener - Got onStateChange, expected onSecurityChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the front notifications listener - Got onLocationChange, expected onStateChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got an expected notification for the front notifications listener
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the front notifications listener - Got onSecurityChange, expected undefined
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onStateChange, expected onLocationChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of notifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of frontnotifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of notifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onStateChange, expected onLocationChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStatusChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onLocationChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onLocationChange, expected onStateChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onSecurityChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onSecurityChange, expected onLocationChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onStateChange, expected onSecurityChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of notifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onStateChange, expected onSecurityChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of notifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStatusChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onStateChange, expected onLocationChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of notifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of frontnotifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onLocationChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onLocationChange, expected onSecurityChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onSecurityChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onSecurityChange, expected onStateChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStatusChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onStateChange, expected onLocationChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of notifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onLocationChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onLocationChange, expected onSecurityChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onSecurityChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onSecurityChange, expected onStateChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStatusChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_bug304198.js | application timed out after 330 seconds with no output
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281497893.1281499458.1719.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/08/10 20:38:13

s: talos-r3-leopard-007
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,F
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_allTabsPanel.js | Found a tab after previous test timed out: data:text/plain,A
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got an expected notification for the front notifications listener
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the front notifications listener - Got onLocationChange, expected undefined
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got an expected notification for the front notifications listener
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the front notifications listener - Got onSecurityChange, expected undefined
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of notifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of frontnotifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of notifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onStateChange, expected onLocationChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStatusChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onLocationChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onLocationChange, expected onStateChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onSecurityChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onSecurityChange, expected onLocationChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onStateChange, expected onSecurityChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of notifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of frontnotifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of frontnotifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStatusChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStateChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onStateChange, expected onLocationChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Saw the expected number of notifications
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onLocationChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onLocationChange, expected onSecurityChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onSecurityChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | Got a notification for the all notifications listener - Got onSecurityChange, expected onStateChange
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_alltabslistener.js | onStatusChange notification came from the correct browser
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/base/content/test/browser_bug304198.js | application timed out after 330 seconds with no output
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Let's see if I can give this poor bug a specific enough summary so that it can stop morphing (by my count, it's been somewhere between 4 and 6 different things now). This last bunch has been "we're just really really slow running debug builds on the win32-slavenn VM slaves, so once they go away I'm closing it.
Depends on: 614956
OS: Mac OS X → Windows Server 2003
Summary: Intermittent test failures relating to ssl notifications: browser_alltabslistener.js, browser_bug431826.js → Intermittent browser_bug431826.js | application timed out after 330 seconds with no output on debug Win2K3 VMs
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Status: REOPENED → RESOLVED
Last Resolved: 8 years ago6 years ago
Resolution: --- → WORKSFORME
(Assignee)

Updated

5 years ago
Keywords: intermittent-failure
(Assignee)

Updated

5 years ago
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.